#include "crsecnod.h"
#include "global.h"

crsecnod::crsecnod (void)
{
  t=0.0;  m=0.0;
}
crsecnod::~crsecnod (void)
{
  
}

void crsecnod::read (XFILE *in)
{
  switch (Mp->tprob){
  case layered_linear_statics:{
    xfscanf (in,"%lf",&t);
    break;
  }
  case nonlinear_dynamics:{
    xfscanf (in,"%lf",&m);
  }
  default:{
    fprintf (stderr,"\n\n unknown problem type is required in function");
    fprintf (stderr,"\n crsecnod::read (file %s, line %d).\n",__FILE__,__LINE__);
  }
  }
}

